- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# icx_static_route – Manage static IP routes on Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of static IP routes on Ruckus ICX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
admin_distance integer |  | Admin distance of the static route. Range is 1 to 255.
aggregate list |  | List of static route definitions.
| admin_distance integer |  | Admin distance of the static route. Range is 1 to 255.
| check_running_config boolean | Choices: no yes | Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.
| mask string |  | Network prefix mask of the static route.
| next_hop string |  | Next hop IP of the static route.
| prefix string |  | Network prefix of the static route.
| state string | Choices: present absent | State of the static route configuration.
check_running_config boolean | Choices: no yes ← | Check running configuration. This can be set as environment variable. Module will use environment variable value(default:True), unless it is overridden, by specifying it as module parameter.
mask string |  | Network prefix mask of the static route.
next_hop string |  | Next hop IP of the static route.
prefix string |  | Network prefix of the static route.
purge boolean | Choices: no ← yes | Purge routes not defined in the aggregate parameter.
state string | Choices: present ← absent | State of the static route configuration.

## Notes

Note

- Tested against ICX 10.1.

- For information on using ICX platform, see the ICX OS Platform Options guide.

## Examples

    - name: configure static route
      icx_static_route:
        prefix: 192.168.2.0/24
        next_hop: 10.0.0.1

    - name: remove configuration
      icx_static_route:
        prefix: 192.168.2.0
        mask: 255.255.255.0
        next_hop: 10.0.0.1
        state: absent

    - name: Add static route aggregates
      icx_static_route:
        aggregate:
          - { prefix: 172.16.32.0, mask: 255.255.255.0, next_hop: 10.0.0.8 }
          - { prefix: 172.16.33.0, mask: 255.255.255.0, next_hop: 10.0.0.8 }

    - name: remove static route aggregates
      icx_static_route:
        aggregate:
          - { prefix: 172.16.32.0, mask: 255.255.255.0, next_hop: 10.0.0.8 }
          - { prefix: 172.16.33.0, mask: 255.255.255.0, next_hop: 10.0.0.8 }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['ip route 192.168.2.0 255.255.255.0 10.0.0.1']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.